Name:          httptunnel
Version:       3.3
Release:       2mamba
Summary:       Bidirectional virtual data path tunnelled in HTTP requests
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nocrew.org/software/httptunnel.html
Source0:       http://www.nocrew.org/software/httptunnel/httptunnel-%{version}.tar.gz
Source1:       httptunnel.sysconfig
Source2:       httptunnel.init
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
httptunnel creates a bidirectional virtual data connection tunnelled in HTTP requests. The HTTP requests can be sent via an HTTP proxy if so desired.
This can be useful for users behind restrictive firewalls.
If WWW access is allowed through a HTTP proxy, it's possible to use httptunnel and, say, telnet or PPP to connect to a computer outside the firewall.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m644 %{S:1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m750 %{S:2} %{buildroot}%{_initrddir}/%{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
if [ $1 -eq 0 ]; then
   chkconfig --del %{name}
   service %{name} stop
fi
exit 0

%postun
if [ $1 -eq 1 ]; then
   [ -e /var/lock/subsys/%{name} ] && service %{name} restart
fi
exit 0

%files
%defattr(-,root,root)
%{_bindir}/htc
%{_bindir}/hts
%{_initrddir}/%{name}
%{_sysconfdir}/sysconfig/%{name}
%{_mandir}/man1/htc.*
%{_mandir}/man1/hts.*
%doc AUTHORS COPYING ChangeLog NEWS README TODO

%changelog
* Fri Feb 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-2mamba
- rebuilt to remove executable requirements

* Wed Jan 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-1mamba
- automatic update by autodist

* Sat Sep 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-2mamba
- specfile updated

* Mon Nov 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.0.5-1qilnx
- package created by autospec
